*REPLICATION MATERIALS. CORE ARTICLE 
*COMPULSORY VOTING AND ETHNIC DIVERSITY INCREASE INVALID VOTING WHILE CORRUPTION DOES NOT:
*AN ANALYSIS OF 417 PARLIAMENTARY ELECTIONS IN 73 COUNTRIES. 

*Authors: Ferran Martinez i Coma & Annika Werner
*Journal: Democratization

clear
version 13

set seed 1234
set more off

 use "datafile appendix A2.dta" 

 ***TABLE A2
*ROBUSTNESS CHECK  1. UDS=0.3 

xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania if uds_mean>=0.3 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using testA.doc, nolabel bdec(3) replace

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr  concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude  if uds_mean>=0.3 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
xtmrho
 outreg2 using testA.doc, nolabel bdec(3) append

*ROBUSTNESS CHECK 2. UDS=0.5

xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr  concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania if uds_mean>=0.5 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using testA.doc, nolabel bdec(3) append

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr  concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude  if uds_mean>=0.5 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
xtmrho
 outreg2 using testA.doc, nolabel  bdec(3) append

